Results 1 to 6 of 6

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Upgrade 3GS 3.0.1 to which 3.x firmware?

  1. #1
    Default Upgrade 3GS 3.0.1 to which 3.x firmware?
    So the simple tethering hack for my non jail broken 3GS with 3.0.1 firmware is no longer working on AT&T.

    I want to upgrade to a later version of 3.x (not 4.0) so some of the newer versions of my apps will load and run. Which version should I choose? I have no desire to jail break, but I want the most flexible 3.x avialable.

    I should add that I am concerned about battery life. I had read that 3.1.0 puts a heavy drain on the battery.

    Thanks
    Last edited by eq2675; 2010-07-17 at 06:05 AM. Reason: Automerged Doublepost

  2. #2
    If you don't care about j/b, why would you not want to be on 4.0? Its a hell of an update for the 3gs...

    But either way, you wont be able to restore to any other version, except the latest version. (because apple does not sign anything else for the 3gs)

    So its either 4.0.1 or 3.0.1
    Last edited by babyblue_pimp; 2010-07-17 at 06:48 AM.
    The only thing I ask in return for helping, is that you click the thanks button, Thanks!

  3. The Following User Says Thank You to babyblue_pimp For This Useful Post:

    eq2675 (2010-07-17)

  4. #3
    Quote Originally Posted by babyblue_pimp View Post
    But either way, you wont be able to restore to any other version, except the latest version.

    So its either 4.0.1 or 3.0.1
    I can get apple links to any of the firmware from here

    Firmware downloads (iPhone, iPod, iPad) | iPhoneRoot.com

    And I know about the shift key thing in iTunes. Am I missing anything

  5. #4
    My iPhone is a Part of Me Trooper Sam's Avatar
    Join Date
    Jul 2010
    Location
    Somewhere in California
    Posts
    503
    Thanks
    51
    Thanked 78 Times in 62 Posts

    Yep, but Apple won't sign the hashes for any of those older firmware versions, so iTunes will just error out on validation before the firmware even gets copied to your 3GS. 4.0.1 is probably your only choice now.

  6. The Following User Says Thank You to Trooper Sam For This Useful Post:

    eq2675 (2010-07-17)

  7. #5
    OK, I'm learning.

    I do have baseband 04.26.08

    Thanks for the replies

  8. #6
    My iPhone is a Part of Me Trooper Sam's Avatar
    Join Date
    Jul 2010
    Location
    Somewhere in California
    Posts
    503
    Thanks
    51
    Thanked 78 Times in 62 Posts

    You're welcome, and sorry I didn't have better news for you. If you had a 3G, it'd be a cinch, but starting with the 3GS, each device has its own unique ECID identifier, and firmware must be signed by Apple with a signature based on that identifier. Apple is the only entity that can generate that SHSH, and they stop signing firmware versions when they release the succeeding version.

    I'd like to add that when you do next upgrade, get TinyUmbrella. You can back up the SHSH file that's generated when you install a new firmware, so that you have the option to downgrade if you so choose.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •